# $Revision: 1.26 $, $Date: 2004/08/18 19:25:15 $
Summary:	TicTacToe for WindowMaker
Summary(pl):	Kko i Krzyyk dla WindowMakera
Name:		wmtictactoe
Version:	1.1.1
Release:	5
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://atlas.ucpel.tche.br/~acamargo/%{name}-%{version}.tar.gz
# Source0-md5:	2aa54265ec60521437d676c5d251864a
Source1:	%{name}.desktop
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-home_etc.patch
URL:		http://atlas.ucpel.tche.br/~acamargo/wmtictactoe.html
BuildRequires:	XFree86-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
wmTicTacToe is a dock application game for Window Maker.

%description -l pl
wmTicTacToe jest gr w Kko i Krzyyk, przeznaczon dla Doku
WindowMakera.

%prep
%setup -q -n %{name}.app
%patch0 -p0
%patch1 -p1

%build
%{__make} -C %{name} \
	CFLAGS="%{rpmcflags} -Wall" \
	LIBDIR="-L/usr/X11R6/%{_lib}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir}/docklets}

install %{name}/%{name} $RPM_BUILD_ROOT%{_bindir}
install %{SOURCE1}	$RPM_BUILD_ROOT%{_desktopdir}/docklets


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_desktopdir}/docklets/%{name}.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmtictactoe.spec,v $
Revision 1.26  2004/08/18 19:25:15  yogib
- fix buiding on amd64

Revision 1.25  2004/08/15 14:15:40  yogib
- switched to vfolders

Revision 1.24  2003/09/02 10:23:24  havner
- prefix changed to /usr

Revision 1.23  2003/05/28 13:02:57  malekith
- massive attack: source-md5

Revision 1.22  2003/05/25 06:28:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/02/28 10:09:02  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.20  2002/11/29 22:47:42  ankry
- massive attack: new %%doc

Revision 1.19  2002/02/23 05:10:59  kloczek
- adapterized.

Revision 1.18  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/01/18 02:15:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/26 00:08:33  blues
- release 3
- URL added
- desktop is out
- fixes in files

Revision 1.15  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.14  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.13  2000/06/09 07:24:04  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.10  2000/02/08 16:40:25  pius
- added support for $CONFIG_DIR/wmtictactoe
- cosmetics
- release 2

Revision 1.9  1999/10/20 19:51:57  pius
- fixed location of desktop files

Revision 1.8  1999/10/14 19:47:06  pius
- updated to 1.1.1
- cosmetics

Revision 1.7  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.6  1999/09/04 08:48:47  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.5  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.4  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Jul 8 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.0-2]
- added wmtictactoe.desktop file,
- fixed Makefile (wmtictactoe-makefile.patch),
- minor changes.

* Tue May 25 1999 Piotr Czerwiski <pius@pld.org.pl>
  [1.0-1]
- initial RPM release.
